<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
	if ($_SERVER['REQUEST_METHOD']=='POST')
	{
		User::checkToken();
		if (!trim($_POST['login'])) LabCMS::i()->error('Логин не может быть пустым');
		if ($_POST['group_id']<1) LabCMS::i()->error('Пользователь не может принадлежать этой группе');
		if ($_POST['pass']!=$_POST['pass1']) LabCMS::i()->error('Пароли не совпадают');
		if (Db::i()->selectCell("SELECT user_id FROM ?_users WHERE login=? AND user_id!=?", $_POST['login'], $_GET['var1'])) LabCMS::i()->error('Пользователь с таким именем уже существует');
		if (LabCMS::i()->no_errors)
		{
			$query=array(	'login'=>trim($_POST['login']),
							'email'=>trim($_POST['email']),
							'status'=>($_POST['status']?1:0),
							'group_id'=>$_POST['group_id']);
			if (trim($_POST['pass'])) $query['pass']=md5(md5($_POST['pass'].SECURECODE).SECURECODE);
			if ($mode=='edit') Db::i()->query('UPDATE ?_users SET ?a WHERE user_id=?', $query, $_GET['var1']);
			if ($mode=='add') Db::i()->query('INSERT INTO ?_users SET ?a', $query);
			User::setResetSession();
			LabCMS::i()->reset_cache();
			refresh();
		}
	}
	
	$mod_template='edit_user.tpl';
	$possible_groups = get_child_groups(0);// Вытаскиваем все допустимые группы
	if (!empty($_GET['var1']))
	{
		Tpl::i()->assign(Db::i()->selectRow("SELECT user_id, login, email, status, u.group_id FROM ?_users u JOIN ?_groups g ON u.group_id=g.group_id WHERE `user_id` = ? AND u.group_id IN (?a) LIMIT 1;", $_GET['var1'], array_keys($possible_groups)));// Вытаскиваем данные о юзере
		addBreadcrumb('Редактирование пользователя');
	}
	else addBreadcrumb('Добавление пользователя');

	Tpl::i()->assign("possible_groups",$possible_groups);
